<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: structural Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classserdes5gpdprod__sync__block.html">serdes5gpdprod_sync_block</a></li><li class="navelem"><a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html">structural</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">structural Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classserdes5gpdprod__sync__block_1_1structural-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a17c59d239a01eca245fe1324d5dff361"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17c59d239a01eca245fe1324d5dff361"></a>
<a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html#a17c59d239a01eca245fe1324d5dff361">data_sync1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Attributes"></a>
Attributes</h2></td></tr>
 <tr class="memitem:a93b4f12aa42fc4240b91906f6967d48d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93b4f12aa42fc4240b91906f6967d48d"></a>
<a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html#a93b4f12aa42fc4240b91906f6967d48d">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">string</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a82a4d020c37d7feca68bc2d7bfee3257"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a82a4d020c37d7feca68bc2d7bfee3257"></a>
<a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html#a82a4d020c37d7feca68bc2d7bfee3257">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; TRUE &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a54311dfd0d9642f8be9baf521a078c9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54311dfd0d9642f8be9baf521a078c9e"></a>
<a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html#a54311dfd0d9642f8be9baf521a078c9e">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; TRUE &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8dc37d6459077a528aa9f89ffdb6020b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8dc37d6459077a528aa9f89ffdb6020b"></a>
<a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html#a8dc37d6459077a528aa9f89ffdb6020b">MSGON</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">string</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab1ac731b02cfa79d6d66bdc9eb416df3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1ac731b02cfa79d6d66bdc9eb416df3"></a>
<a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html#ab1ac731b02cfa79d6d66bdc9eb416df3">MSGON</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; FALSE &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8e03e7cac739581f5b6e51e8b0336747"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e03e7cac739581f5b6e51e8b0336747"></a>
<a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html#a8e03e7cac739581f5b6e51e8b0336747">MSGON</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; FALSE &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afa00cc20a0a0284e4bbef2938ba01b2b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa00cc20a0a0284e4bbef2938ba01b2b"></a>
<a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html#afa00cc20a0a0284e4bbef2938ba01b2b">shreg_extract</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">string</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a64bdc4b5a4c8f4e14f96bdce3a350192"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64bdc4b5a4c8f4e14f96bdce3a350192"></a>
<a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html#a64bdc4b5a4c8f4e14f96bdce3a350192">shreg_extract</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; no &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2087d601fd5546f6cbbab1bac74a6782"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2087d601fd5546f6cbbab1bac74a6782"></a>
<a class="el" href="classserdes5gpdprod__sync__block_1_1structural.html#a2087d601fd5546f6cbbab1bac74a6782">shreg_extract</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; no &quot;</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="serdes5gpdprod__sync__block_8vhd_source.html#l00094">94</a> of file <a class="el" href="serdes5gpdprod__sync__block_8vhd_source.html">serdes5gpdprod_sync_block.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/<a class="el" href="serdes5gpdprod__sync__block_8vhd_source.html">serdes5gpdprod_sync_block.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
